WPG2Parser::ObjectCharacterization Class Reference documentation

WPG2Parser::ObjectCharacterization Class Reference

## Public Member Functions
| ObjectCharacterization ()

## Public Attributes
bool | taper
bool | translate
bool | skew
bool | scale
bool | rotate
bool | hasObjectId
bool | editLock
bool | windingRule
bool | filled
bool | closed
bool | framed
unsigned long | objectId
unsigned long | lockFlags
double | rotationAngle
long | sxcos
long | sycos
long | kxsin
long | kysin
long | txinteger
unsigned short | txfraction
long | tyinteger
unsigned short | tyfraction
long | px
long | py
WPG2TransformMatrix | matrix

## Constructor & Destructor Documentation

## ◆ ObjectCharacterization()

WPG2Parser::ObjectCharacterization::ObjectCharacterization | ( |  | ) |
| inline

## Member Data Documentation

## ◆ closed

bool WPG2Parser::ObjectCharacterization::closed

Referenced by WPG2Parser::handleCompoundPolygon(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ editLock

bool WPG2Parser::ObjectCharacterization::editLock

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ filled

bool WPG2Parser::ObjectCharacterization::filled

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleCompoundPolygon(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ framed

bool WPG2Parser::ObjectCharacterization::framed

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleCompoundPolygon(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ hasObjectId

bool WPG2Parser::ObjectCharacterization::hasObjectId

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ kxsin

long WPG2Parser::ObjectCharacterization::kxsin

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ kysin

long WPG2Parser::ObjectCharacterization::kysin

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ lockFlags

unsigned long WPG2Parser::ObjectCharacterization::lockFlags

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ matrix

WPG2TransformMatrix WPG2Parser::ObjectCharacterization::matrix

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG2Parser::handleCompoundPolygon(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ objectId

unsigned long WPG2Parser::ObjectCharacterization::objectId

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ px

long WPG2Parser::ObjectCharacterization::px

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ py

long WPG2Parser::ObjectCharacterization::py

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ rotate

bool WPG2Parser::ObjectCharacterization::rotate

Referenced by WPG2Parser::handleArc(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ rotationAngle

double WPG2Parser::ObjectCharacterization::rotationAngle

Referenced by WPG2Parser::handleArc(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ scale

bool WPG2Parser::ObjectCharacterization::scale

Referenced by WPG2Parser::handleBitmap(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ skew

bool WPG2Parser::ObjectCharacterization::skew

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ sxcos

long WPG2Parser::ObjectCharacterization::sxcos

Referenced by WPG2Parser::handleBitmap(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ sycos

long WPG2Parser::ObjectCharacterization::sycos

Referenced by WPG2Parser::handleBitmap(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ taper

bool WPG2Parser::ObjectCharacterization::taper

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ translate

bool WPG2Parser::ObjectCharacterization::translate

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ txfraction

unsigned short WPG2Parser::ObjectCharacterization::txfraction

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ txinteger

long WPG2Parser::ObjectCharacterization::txinteger

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ tyfraction

unsigned short WPG2Parser::ObjectCharacterization::tyfraction

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ tyinteger

long WPG2Parser::ObjectCharacterization::tyinteger

Referenced by ObjectCharacterization(), and WPG2Parser::parseCharacterization().

## ◆ windingRule

bool WPG2Parser::ObjectCharacterization::windingRule

Referenced by WPG2Parser::handleCompoundPolygon(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), ObjectCharacterization(), and WPG2Parser::parseCharacterization().

The documentation for this class was generated from the following file:

- WPG2Parser.cpp